%global momorel 6

Name: gnome-disk-utility
Summary: The GNOME Control Center
Version: 2.30.1
Release: %{momorel}m%{?dist}
License: GPL
Group: User Interface/Desktops
# Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.28/%{name}-%{version}.tar.bz2
Source0: http://hal.freedesktop.org/releases/%{name}-%{version}.tar.bz2
NoSource: 0

URL: http://www.gnome.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(pre,preun): GConf2

BuildRequires: intltool
BuildRequires: pkgconfig
BuildRequires: glib2-devel
BuildRequires: dbus-glib-devel
BuildRequires: gtk2-devel
BuildRequires: unique-devel
BuildRequires: libnotify-devel
BuildRequires: libatasmart-devel
BuildRequires: udisks-devel
BuildRequires: nautilus-devel

Requires: %{name}-libs = %{version}-%{release}

%description
GNOME (the GNU Network Object Model Environment) is an attractive and

%package libs
Summary: %{name}-libs
Group: System Environment/Libraries
Requires: udisks >= 1.0.1


%description libs
%{name}-libs

%package nautilus
Summary: %{name} nautilus extention
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description nautilus
%{name} nautilus extention


%package devel
Summary: %{name}-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
%{name}-devel

%prep
%setup -q

%build
%configure \
    --enable-silent-rules \
    --enable-gtk-doc \
    --disable-scrollkeeper \
    --enable-static=no
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%post
gtk-update-icon-cache -q -f -t %{_datadir}/icons/hicolor

%post libs
/sbin/ldconfig

%postun libs
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README
%{_sysconfdir}/xdg/autostart/gdu-notification-daemon.desktop
%{_bindir}/palimpsest
%exclude %{_libdir}/lib*.la
%{_libexecdir}/*
%{_datadir}/applications/palimpsest.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/locale/*/*/*
%{_datadir}/gnome/help/palimpsest

%files libs
%defattr(-,root,root)
%{_libdir}/libgdu-gtk.so.*
%{_libdir}/libgdu.so.*
%exclude %{_libdir}/*.la

%files nautilus
%defattr(-,root,root)
%{_libdir}/nautilus/extensions-2.0/*

%files devel
%defattr(-, root, root)
%{_includedir}/gnome-disk-utility
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/html/gnome-disk-utility
%{_datadir}/omf/palimpsest

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.30.1-6m)
- full rebuild for mo7 release

* Tue Aug 10 2010 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.30.1-5m)
- add Requires: udisks

* Thu Jul 15 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.1-4m)
- fix req

* Wed Jul 14 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.1-4m)
- split libs and nautilus

* Tue Jul  6 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.30.1-3m)
- gtkdocize again (with gtk-doc-1.14)

* Mon Jul  5 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.1-2m)
- do not use gtkdocize ;-) (gtk-doc-1.15)

* Thu Mar 25 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.30.1-1m)
- update to 2.30.1

* Thu Mar 18 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.30.0-1m)
- update to 2.30.0

* Sun Dec 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.1-3m)
- fix build with gtk-doc 1.13
-- add gtkdocize --copy; autoreconf -vfi

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.28.1-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Nov  4 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.1-1m)
- update to 2.28.1

* Sun Sep 27 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.0-1m)
- initial build
